<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Unit Conversion and Dimensional Analysis Library: units::pressure Namespace Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Unit Conversion and Dimensional Analysis Library
   &#160;<span id="projectnumber">2.3.0</span>
   </div>
   <div id="projectbrief">A compile-time c++14 unit conversion library</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceunits.html">units</a></li><li class="navelem"><a class="el" href="namespaceunits_1_1pressure.html">pressure</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">units::pressure Namespace Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>namespace for unit types and containers representing pressure values  
<a href="namespaceunits_1_1pressure.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a2e7a0337822062f7fde9892c3712963f"><td class="memItemLeft" align="right" valign="top"><a id="a2e7a0337822062f7fde9892c3712963f"></a>
std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator&lt;&lt;</b> (std::ostream &amp;os, const <a class="el" href="classunits_1_1unit__t.html">pascal_t</a> &amp;obj)</td></tr>
<tr class="separator:a2e7a0337822062f7fde9892c3712963f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acc4c0e4deb1ec3a7e603f6c73b527c81"><td class="memItemLeft" align="right" valign="top"><a id="acc4c0e4deb1ec3a7e603f6c73b527c81"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>to_string</b> (const <a class="el" href="classunits_1_1unit__t.html">pascal_t</a> &amp;obj)</td></tr>
<tr class="separator:acc4c0e4deb1ec3a7e603f6c73b527c81"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac6c046bd99215723c8e69e114976c13f"><td class="memItemLeft" align="right" valign="top"><a id="ac6c046bd99215723c8e69e114976c13f"></a>
std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator&lt;&lt;</b> (std::ostream &amp;os, const <a class="el" href="classunits_1_1unit__t.html">bar_t</a> &amp;obj)</td></tr>
<tr class="separator:ac6c046bd99215723c8e69e114976c13f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac9f06680e25c9c5d553022f6461bfdc7"><td class="memItemLeft" align="right" valign="top"><a id="ac9f06680e25c9c5d553022f6461bfdc7"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>to_string</b> (const <a class="el" href="classunits_1_1unit__t.html">bar_t</a> &amp;obj)</td></tr>
<tr class="separator:ac9f06680e25c9c5d553022f6461bfdc7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af01b9a26173ae2ad23c9126b45283821"><td class="memItemLeft" align="right" valign="top"><a id="af01b9a26173ae2ad23c9126b45283821"></a>
std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator&lt;&lt;</b> (std::ostream &amp;os, const <a class="el" href="classunits_1_1unit__t.html">mbar_t</a> &amp;obj)</td></tr>
<tr class="separator:af01b9a26173ae2ad23c9126b45283821"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7d36bd6face7bb640a34d8d20cdc8185"><td class="memItemLeft" align="right" valign="top"><a id="a7d36bd6face7bb640a34d8d20cdc8185"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>to_string</b> (const <a class="el" href="classunits_1_1unit__t.html">mbar_t</a> &amp;obj)</td></tr>
<tr class="separator:a7d36bd6face7bb640a34d8d20cdc8185"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a24a2b4ba85cadeb507bdc7bf1f63af29"><td class="memItemLeft" align="right" valign="top"><a id="a24a2b4ba85cadeb507bdc7bf1f63af29"></a>
std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator&lt;&lt;</b> (std::ostream &amp;os, const <a class="el" href="classunits_1_1unit__t.html">atmosphere_t</a> &amp;obj)</td></tr>
<tr class="separator:a24a2b4ba85cadeb507bdc7bf1f63af29"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab6bb1d872b6cd7444ac9a4e55a290bcf"><td class="memItemLeft" align="right" valign="top"><a id="ab6bb1d872b6cd7444ac9a4e55a290bcf"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>to_string</b> (const <a class="el" href="classunits_1_1unit__t.html">atmosphere_t</a> &amp;obj)</td></tr>
<tr class="separator:ab6bb1d872b6cd7444ac9a4e55a290bcf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a76eae9398f4a3ba54c4c097293a7be9a"><td class="memItemLeft" align="right" valign="top"><a id="a76eae9398f4a3ba54c4c097293a7be9a"></a>
std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator&lt;&lt;</b> (std::ostream &amp;os, const <a class="el" href="classunits_1_1unit__t.html">pounds_per_square_inch_t</a> &amp;obj)</td></tr>
<tr class="separator:a76eae9398f4a3ba54c4c097293a7be9a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac90c1a8f502ebbe47aa224008a782a82"><td class="memItemLeft" align="right" valign="top"><a id="ac90c1a8f502ebbe47aa224008a782a82"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>to_string</b> (const <a class="el" href="classunits_1_1unit__t.html">pounds_per_square_inch_t</a> &amp;obj)</td></tr>
<tr class="separator:ac90c1a8f502ebbe47aa224008a782a82"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aae38d09201c12b3b540098065568c356"><td class="memItemLeft" align="right" valign="top"><a id="aae38d09201c12b3b540098065568c356"></a>
std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator&lt;&lt;</b> (std::ostream &amp;os, const <a class="el" href="classunits_1_1unit__t.html">torr_t</a> &amp;obj)</td></tr>
<tr class="separator:aae38d09201c12b3b540098065568c356"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a84911877425974df463ddf872cdeb417"><td class="memItemLeft" align="right" valign="top"><a id="a84911877425974df463ddf872cdeb417"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>to_string</b> (const <a class="el" href="classunits_1_1unit__t.html">torr_t</a> &amp;obj)</td></tr>
<tr class="separator:a84911877425974df463ddf872cdeb417"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>namespace for unit types and containers representing pressure values </p>
<p>The SI unit for pressure is <code>pascals</code>, and the corresponding <code><a class="el" href="structunits_1_1base__unit.html" title="Class representing SI base unit types.">base_unit</a></code> category is <code>pressure_unit</code>. <a class="anchor" id="pressureContainers"></a></p><dl class="section see"><dt>See also</dt><dd>See <a class="el" href="classunits_1_1unit__t.html" title="Container for values which represent quantities of a given unit.">unit_t</a> for more information on <a class="el" href="structunits_1_1unit.html" title="Type representing an arbitrary unit.">unit</a> type containers. </dd></dl>
</div></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Sat Oct 3 2020 11:16:54 for Unit Conversion and Dimensional Analysis Library by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
